<?php
/**
 * admin_base.php - Base class for all menu templates
 *
 * @author $Author: dtong $
 * @version $Id: admin_base.php,v 1.3 2011/03/16 14:22:38 dtong Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/

class admin_menu_base {
	static function get_system_array() {
		$result = array();
		$result[1001][0] = array('_menu_header'=> lang('admin_menu_title_basic'), '_menu_flag'  => TRUE);
		$result[1001][1] = array('_menu_title' => lang('admin_menu_config'), '_menu_image' => 'sysconfig.gif',
						      '_menu_divid' => 'page_content', '_menu_url'   => 'admin/config/index/1',
							   '_menu_hr'    => FALSE);
		$result[1001][2] = array('_menu_title' => lang('admin_menu_dbupgrade'), '_menu_image' => 'db_upgrade.gif',
						      '_menu_divid' => 'page_content', '_menu_url'   => 'admin/dbupgrade',
							   '_menu_hr'    => FALSE);
		$result[1001][3] = array('_menu_title' => lang('admin_menu_category'), '_menu_image' => 'category.gif',
						      '_menu_divid' => 'page_content', '_menu_url'   => 'admin/category',
							   '_menu_hr'    => FALSE);
		$result[1002][0] = array('_hr' => TRUE);
		$result[1003][0] = array('_menu_header'=> lang('admin_menu_title_application'), '_menu_flag'  => TRUE);

		$result[1003][1] = array('_menu_title' => lang('admin_menu_user'), '_menu_image' => 'users.gif',
							 	'_menu_divid' => 'page_content', '_menu_url'   => 'admin/user',
		 					  	'_menu_hr'    => FALSE);

		$result[1003][2] = array('_menu_title' => lang('admin_menu_course'), '_menu_image' => 'course.gif',
						      '_menu_divid' => 'page_content', '_menu_url'   => 'admin/course',
		 				      '_menu_hr'    => FALSE);
		$result[1003][3] = array('_menu_title' => lang('admin_menu_department'), '_menu_image' => 'departments.gif',
						      '_menu_divid' => 'page_content', '_menu_url'   => 'admin/department',
							   '_menu_hr'    => FALSE);

		$result[1005][0] = array('_menu_header'=> FALSE, '_menu_flag'  => TRUE);
		$result[1005][1] = array('_menu_title' => lang('admin_menu_grade'), '_menu_image' => 'grade.gif',
						      '_menu_divid' => 'page_content', '_menu_url'   => 'admin/grade',
							   '_menu_hr'    => FALSE);
		$result[1005][2] = array('_menu_title' => lang('admin_menu_school'), '_menu_image' => 'school.gif',
						      '_menu_divid' => 'page_content', '_menu_url'   => 'admin/school',
								'_menu_hr'    => FALSE);
		$result[1006][0] = array('_hr' => TRUE);
		return $result;
	}
}